# CUpti_Profiler_CounterDataImage_InitializeScratchBuffer_Params Struct Reference
[CUPTI Profiling API]

Params for cuptiProfilerCounterDataImageInitializeScratchBuffer.

## Data Fields

size_t | counterDataImageSize
| [in] size calculated from cuptiProfilerCounterDataImageCalculateSize
size_t | counterDataScratchBufferSize
| [in] size calculated using cuptiProfilerCounterDataImageCalculateScratchBufferSize
uint8_t * | pCounterDataImage
| [in]
uint8_t * | pCounterDataScratchBuffer
| [in] the scratch buffer to be initialized.
void * | pPriv
| [in] assign to NULL
size_t | structSize
| [in] CUpti_Profiler_CounterDataImage_InitializeScratchBuffer_Params_STRUCT_SIZE